import React from 'react';
import { HighlightOptions } from 'highlight.run';
export { H } from 'highlight.run';
import { NextPageContext } from 'next';
import { ErrorProps } from 'next/error';
export { ErrorBoundary } from '@highlight-run/react';

interface HighlightInitProps extends HighlightOptions {
    projectId?: string;
}
type HighlightErrorProps = {
    errorMessage: string;
} & ErrorProps;
declare function getHighlightErrorInitialProps({ res, err, }: NextPageContext): HighlightErrorProps;
type PageRouterErrorProps = HighlightErrorProps;
declare function pageRouterCustomErrorHandler(highlightInitProps: HighlightInitProps, Child?: React.FC<HighlightErrorProps>): {
    (props: HighlightErrorProps): React.JSX.Element;
    getInitialProps: typeof getHighlightErrorInitialProps;
};
type AppRouterErrorProps = {
    error: Error & {
        digest?: string;
    };
    reset: () => void;
};
declare function appRouterSsrErrorHandler(Child: React.FC<AppRouterErrorProps>): ({ error, reset }: AppRouterErrorProps) => React.JSX.Element;

export { AppRouterErrorProps, HighlightErrorProps, HighlightInitProps, PageRouterErrorProps, appRouterSsrErrorHandler, getHighlightErrorInitialProps, pageRouterCustomErrorHandler };
